From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-boot/syslinux/
Date: Tue, 27 Dec 2022 16:52:04 +0000 (UTC) [thread overview]
Message-ID: <1672159712.9acd8ef9867c41398a6457a56e3aa7b6f6ac2c5d.floppym@gentoo> (raw)
commit: 9acd8ef9867c41398a6457a56e3aa7b6f6ac2c5d
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 27 16:47:43 2022 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Tue Dec 27 16:48:32 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9acd8ef9
sys-boot/syslinux: fix install with bios disabled
Closes: https://bugs.gentoo.org/888466
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
sys-boot/syslinux/syslinux-6.04_pre1-r5.ebuild | 4 +++-
sys-boot/syslinux/syslinux-6.04_pre3-r1.ebuild | 4 +++-
2 files changed, 6 insertions(+), 2 deletions(-)
diff --git a/sys-boot/syslinux/syslinux-6.04_pre1-r5.ebuild b/sys-boot/syslinux/syslinux-6.04_pre1-r5.ebuild
index df1dd06bfa03..61289b005cc2 100644
--- a/sys-boot/syslinux/syslinux-6.04_pre1-r5.ebuild
+++ b/sys-boot/syslinux/syslinux-6.04_pre1-r5.ebuild
@@ -80,7 +80,9 @@ src_install() {
install
)
emake -j1 "${args[@]}"
- mv "${ED}"/usr/bin/keytab-{lilo,syslinux} || die
+ if use bios; then
+ mv "${ED}"/usr/bin/keytab-{lilo,syslinux} || die
+ fi
einstalldocs
dostrip -x /usr/share/syslinux
}
diff --git a/sys-boot/syslinux/syslinux-6.04_pre3-r1.ebuild b/sys-boot/syslinux/syslinux-6.04_pre3-r1.ebuild
index a942b7d05b86..e42f6139206e 100644
--- a/sys-boot/syslinux/syslinux-6.04_pre3-r1.ebuild
+++ b/sys-boot/syslinux/syslinux-6.04_pre3-r1.ebuild
@@ -97,7 +97,9 @@ src_install() {
install
)
emake -j1 "${args[@]}"
- mv "${ED}"/usr/bin/keytab-{lilo,syslinux} || die
+ if use bios; then
+ mv "${ED}"/usr/bin/keytab-{lilo,syslinux} || die
+ fi
einstalldocs
dostrip -x /usr/share/syslinux
}
next reply other threads:[~2022-12-27 16:52 UTC|newest]
Thread overview: 33+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-12-27 16:52 Mike Gilbert [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-07 4:33 [gentoo-commits] repo/gentoo:master commit in: sys-boot/syslinux/ Sam James
2024-10-09 16:46 Ben Kohler
2024-01-07 17:19 Andrew Ammerlaan
2023-10-18 10:13 Sam James
2023-08-17 7:49 Andrew Ammerlaan
2022-12-25 23:54 Mike Gilbert
2022-12-25 17:11 Arthur Zamarin
2022-12-25 2:10 Mike Gilbert
2022-12-24 7:11 Sam James
2022-12-20 23:26 Mike Gilbert
2022-05-31 12:31 Mike Gilbert
2022-05-31 1:42 Mike Gilbert
2022-05-31 0:08 Mike Gilbert
2022-05-30 20:32 Mike Gilbert
2021-07-16 4:04 Sam James
2021-07-16 4:04 Sam James
2021-04-16 10:25 David Seifert
2021-04-03 15:44 Sam James
2021-01-01 21:49 Andreas K. Hüttel
2020-12-17 0:58 Sam James
2020-12-02 3:06 Thomas Deutschmann
2020-05-26 22:31 Sergei Trofimovich
2019-11-07 7:19 Michał Górny
2019-10-05 18:56 Michał Górny
2019-06-04 6:26 Andreas K. Hüttel
2019-03-10 13:03 Sergei Trofimovich
2018-06-26 17:53 Mikle Kolyada
2017-10-27 9:55 Thomas Deutschmann
2017-10-24 12:58 Manuel Rüger
2016-06-09 16:12 Chí-Thanh Christopher Nguyễn
2016-04-24 20:11 Chí-Thanh Christopher Nguyễn
2016-04-24 20:11 Chí-Thanh Christopher Nguyễn
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1672159712.9acd8ef9867c41398a6457a56e3aa7b6f6ac2c5d.floppym@gentoo \
--to=floppym@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox